# Type Alias WidgetDefinitionProps

type WidgetDefinitionProps = {
available: boolean;
description: string;
displayLevel?: (1 | 2 | 3 | 4)[];
img: string;
label: string;
name: WidgetKeys;
panel: {
useEditor: boolean;
useSelection: boolean;
useSync?: boolean;
useWidgets: boolean;
useWrapper: boolean;
};
}

- Defined in jamespot-user-api/src/types/widgets/ensure.ts:6

##### Index

### Properties

available
description
displayLevel?
img
label
name
panel

## Properties

### available

available: boolean

- Defined in jamespot-user-api/src/types/widgets/ensure.ts:11

### description

description: string

- Defined in jamespot-user-api/src/types/widgets/ensure.ts:8

### `Optional` displayLevel

displayLevel?: (1 | 2 | 3 | 4)[]

- Defined in jamespot-user-api/src/types/widgets/ensure.ts:12

### img

img: string

- Defined in jamespot-user-api/src/types/widgets/ensure.ts:10

### label

label: string

- Defined in jamespot-user-api/src/types/widgets/ensure.ts:7

### name

name: WidgetKeys

- Defined in jamespot-user-api/src/types/widgets/ensure.ts:9

### panel

panel: {
useEditor: boolean;
useSelection: boolean;
useSync?: boolean;
useWidgets: boolean;
useWrapper: boolean;
}

- Defined in jamespot-user-api/src/types/widgets/ensure.ts:13